I can't install - openssl check failed

This forum is for all inquiries relating to the installation of OpenVPN from source and with binaries.
Forum rules
Please visit (and READ) the OpenVPN HowTo http://openvpn.net/howto prior to asking any questions in here!
Post Reply
alohl669
OpenVpn Newbie
Posts: 1
Joined: Thu Jul 30, 2020 9:09 pm

I can't install - openssl check failed

Post by alohl669 » Thu Jul 30, 2020 9:21 pm

hello, I recently successfully installed openvpn on centos7. everything works ok and I tried to access it from the windows client (2.4.9) as well as from the client that comes in the official kubuntu repositories(2.4.4). However, when I want to install the 2.4.9 client on another machine (kde neon - ubuntu 18.04), doing ./configure returns the following error

Code: Select all

configure: error: openssl check failed
. This is a bit strange as I happen to have openssl installed in version 1.1.1.

Can someone tell me how to solve the problem?

Here is the complete log of the ./configure
https://pastebin.com/raw/sHhWCeNw

User avatar
TinCanTech
OpenVPN Protagonist
Posts: 7577
Joined: Fri Jun 03, 2016 1:17 pm

Re: I can't install - openssl check failed

Post by TinCanTech » Thu Jul 30, 2020 9:54 pm

To build you need developer libs not user libs ..

Post Reply